Bug 182407 - sysutils/fusefs-libs crashes when option DOCS is on
Summary: sysutils/fusefs-libs crashes when option DOCS is on
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-26 13:50 UTC by Bertram Scharpf
Modified: 2014-01-26 19:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bertram Scharpf 2013-09-26 13:50:00 UTC
# make install
[...]
====> Compressing man pages
===>  Building package for fusefs-libs-2.9.3_1
tar:  share/doc/fusefs/libs/how-fuse-works: Cannot stat: No such file or directory
tar:  share/doc/fusefs/libs/kernel.txt: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
Creating package /usr/ports/packages/All/fusefs-libs-2.9.3_1.tbz
Registering depends: libiconv-1.14_1.
Creating bzip'd tar ball in '/usr/ports/packages/All/fusefs-libs-2.9.3_1.tbz'
*** [do-package] Error code 1

Stop in /usr/ports/sysutils/fusefs-libs.
*** [install] Error code 1

Stop in /usr/ports/sysutils/fusefs-libs.

How-To-Repeat: # make config

  Check on the DOCS option

# make install
Comment 1 Edwin Groothuis freebsd_committer 2013-09-26 13:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-01-04 06:36:33 UTC
Responsible Changed
From-To: bapt->freebsd-ports-bugs

Maintainer was reset.
Comment 3 dfilter service freebsd_committer 2014-01-26 19:32:19 UTC
Author: rm
Date: Sun Jan 26 19:32:11 2014
New Revision: 341262
URL: http://svnweb.freebsd.org/changeset/ports/341262
QAT: https://qat.redports.org/buildarchive/r341262/

Log:
  - unmute docs installation
  - simplify port a bit
  
  Anyway, I wasn't able to reproduce the problem from the PR.
  
  PR:		182407
  Reported by:	Bertram Scharpf <software@bertram-scharpf.de>

Modified:
  head/sysutils/fusefs-libs/Makefile
  head/sysutils/fusefs-libs/pkg-plist

Modified: head/sysutils/fusefs-libs/Makefile
==============================================================================
--- head/sysutils/fusefs-libs/Makefile	Sun Jan 26 19:27:57 2014	(r341261)
+++ head/sysutils/fusefs-libs/Makefile	Sun Jan 26 19:32:11 2014	(r341262)
@@ -20,12 +20,12 @@ USE_LDCONFIG=	yes
 USES=		iconv
 CONFIGURE_ARGS=	--prefix=${PREFIX} \
 		--with-pkgconfigdir=${PREFIX}/libdata/pkgconfig
-DOCS=		libs/how-fuse-works \
+PORTDOCS=	libs/how-fuse-works \
 		libs/kernel.txt
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/include/fuse_kernel.h ${STAGEDIR}${PREFIX}/include/fuse
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}/libs
-	@cd ${WRKSRC}/doc/ && ${INSTALL_DATA} ${DOCS:S/libs\///} ${STAGEDIR}${DOCSDIR}/libs
+	(cd ${WRKSRC}/doc/ && ${INSTALL_DATA} ${PORTDOCS:S/libs\///} ${STAGEDIR}${DOCSDIR}/libs)
 
 .include <bsd.port.mk>

Modified: head/sysutils/fusefs-libs/pkg-plist
==============================================================================
--- head/sysutils/fusefs-libs/pkg-plist	Sun Jan 26 19:27:57 2014	(r341261)
+++ head/sysutils/fusefs-libs/pkg-plist	Sun Jan 26 19:32:11 2014	(r341262)
@@ -22,7 +22,3 @@ man/man1/fusermount.1.gz
 man/man1/ulockmgr_server.1.gz
 man/man8/mount.fuse.8.gz
 @dirrm include/fuse
-%%PORTDOCS%%%%DOCSDIR%%/libs/how-fuse-works
-%%PORTDOCS%%%%DOCSDIR%%/libs/kernel.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/libs
-%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-01-26 19:32:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2014-01-26 19:33:50 UTC
State Changed
From-To: open->closed

Bertram, I wasn't able to reproduce the problem. Tested both with DOCS 
options on and off. Simplified docs installation a bit. Please reopen 
the PR if it's still failing for you.